[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Problems with iPod



-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Ed Smits wrote:
> It's an iPod Nano that worked fine with the previous kernel and app's.
> I'm a newbie and so can't tell you exactly what I had before (it
> worked, why would I record it<G>)

I can understand that. :)

> If I run gtkpod, mount the iPod, and try to sync it I get the
> following error message from gtkpod:
> 
> '/media/disk/iPod_Control/iTunes/iTunesDB' does not exist. Import aborted
> 
> It does exist...
> 
> If I run gtkpod with the iPod already mounted it fails immediately,
> the only error is "segmentation fault"

Odd that it worked fine before with the same versions of gtkpod and
libgpod.  I don't think any kernel changes would have cause this, but
it's possible.  If you wanted to test that you could install a 2.6.17
kernel package and try gtkpod then.

I think Jamie was onto something when he asked if iTunes has updated
your ipod firmware recently.  Older versions of libgpod had problems
with a zero length sysinfo file on the ipod.  The latest version
handles is AFAIK.

> as to which versions I have at present:
> 
> libgpod-0.3.0-2.2
> gtkpod-0.99.4-1.lvn5

The latest stable releases are:

    libgpod-0.4.0
    gtkpod-0.99.8

I've been using the latest libgpod/gtkpod with my 4th and 5th gen
ipods for ages and they've worked very well together.  (And, oddly, I
had a problem unmounting/ejecting my 5th gen ipod under all the FC5
kernels up until 2.6.18.)

> Where I got them - standard repositories I assume, I don't know
> enough to be grabbing from funky ones. I assume the gtkpod was from
> Livna, could that be a problem?

I don't think so, the folks at Livna do a good job at packaging
things.  But the versions are badly outdated.  libgpod is in core,
amarok is in extras, and gtkpod is from livna.  I don't know what it
would take to get libgpod updated in core.  It appears that the same
ancient version is included in FC6 as well. :(

If Jamie's suggestion about the sysinfo file doesn't help and you try
a 2.6.17 kernel and find it's still not working, I'd suggest trying to
update libgpod/gtkpod.  That's not a fun thing if you've never done
it, but it's very good to know how to do.  I can send you rpm spec
files for those if you want to build packages.

- -- 
Todd        OpenPGP -> KeyID: 0xBEAF0CE3 | URL: www.pobox.com/~tmz/pgp
======================================================================
To grasp the true meaning of socialism, imagine a world where
everything is designed by the post office, even the sleaze.
    -- P.J. O'Rourke

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iQFDBAEBAgAtBQJFOODXJhhodHRwOi8vd3d3LnBvYm94LmNvbS9+dG16L3BncC90
bXouYXNjAAoJEEMlk4u+rwzjkpYIAIQ9wzma7FVIvKsa9tzkM5167nPcZKUplZB6
A2eMCbvURTZLuBWNpSWO+Zvmvk74GeqM84naqrW4nQDp8+Zmy3pN2wDa0iAJ/E8U
dYbqZx4HEK7iXhkGn6aGrPtpYJpRXFYZG8G3GHCjxkMcpJstyKbTDnTX+/mMH9VT
JEYZ+DhWQNa6wC/kVNcT761qrmpVFU+zfS8IhGpUWqDwIbAlZKCx2oFCtbccT6CI
GUJgf148jr/F8xoxQLjRO3iLeK8eb4nJ9zdyt8ucfW+6C4oycy+GW3udGnyrfrO4
4F1Kp8UOucEXv4HJ0dsr6r9MFfvvb9ncHlDZucgv+oygij67afo=
=lhUN
-----END PGP SIGNATURE-----


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]